# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(Dancer/Plugin/Auth/RBAC/Credentials/DBIC.pm) perl(Dancer/Plugin/Auth/RBAC/Permissions.pm) perl(Dancer/Plugin/DBIC.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(SQL/Translator.pm) perl(Test/More.pm) perl(ok.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Dancer-Plugin-Auth-RBAC-Permissions-DBIC
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Auth::RBAC Permissions via DBIx::Class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CL/CLIFFORDJ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Uses your DBIx::Class schema to provide the authorisation part of the 
RBAC user management system.

Note that you do not use this module directly. Use 
Dancer::Plugin::Auth::RBAC and configure it to use the DBIC class in your 
Dancer configuration (see below).

See Dancer::Plugin::Auth::RBAC::Credentials::DBIC for authentication and 
role management via DBIC.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

